Name:           libubuntuone
Version:        0.3.2
Release:        1%{?dist}
Summary:        Ubuntu One widget library

Group:          System Environment/Libraries 
# libubuntuone/xmalloc.c is GPL-ed, but optionally skipped
# GPL is good enough for us though, so why bother.
License:        LGPLv2 and GPLv2+
URL:            https://launchpad.net/libubuntuone
Source0:        http://launchpad.net/libubuntuone/trunk/0-3-2-release/+download/libubuntuone-0.3.2.tar.gz
Patch0:         libubuntuone-0.3.2-sso.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  dbus-glib-devel
BuildRequires:  GConf2-devel
BuildRequires:  gir-repository-devel
BuildRequires:  glibc-devel
BuildRequires:  gtk-sharp2-gapi
BuildRequires:  gtk-sharp2-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libsoup-devel
BuildRequires:  mono-core
BuildRequires:  openssl-devel
BuildRequires:  pygtk2-devel
BuildRequires:  webkitgtk-devel
BuildRequires:  intltool

%description
This library contains GTK widgets needed for integration of Ubuntu One
functionalities into GTK applications.


%package devel
Summary:        Developemt files for Ubuntu One widget library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gobject-introspection-devel

%description devel
This package contains the libraries and header files that are needed
for writing applications with the Ubuntu One widget library.


%package -n python-ubuntuone-gtkwidgets
Summary:        Python bindings for Ubuntu One widget library
Group:          System Environment/Libraries 
Requires:       %{name} = %{version}-%{release}
Requires:       python-ubuntuone

%description -n python-ubuntuone-gtkwidgets
This package contains python module for Ubuntu One widget library.


%package -n mono-ubuntuone
Summary:        Mono bindings for Ubuntu One widget library
Group:          System Environment/Libraries 
Requires:       %{name} = %{version}-%{release}
Requires:       mono-core

%description -n mono-ubuntuone
This package contains Mono library for Ubuntu One widget library.


%prep
%setup -q
%patch0 -p1 -b .sso


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/libubuntuone-*.so.*
%{_datadir}/libubuntuone
%{_datadir}/ubuntuone
%doc COPYING COPYING.GPL NEWS README


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libubuntuone-*
%{_libdir}/girepository-*/*
%{_datadir}/gir-*/*
%{_libdir}/libubuntuone-*.so
%exclude %{_libdir}/libubuntuone-*.la


%files -n python-ubuntuone-gtkwidgets
%defattr(-,root,root,-)
%{python_sitearch}/ubuntuone/gtkwidgets.so*
%exclude %{python_sitearch}/ubuntuone/*.la


%files -n mono-ubuntuone
%defattr(-,root,root,-)
%{_libdir}/mono/ubuntuone-sharp-*


%changelog
* Sun Aug 08 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.3.2-1
- Initial packaging
